Index: trip-planner-front/src/app/_models/location.ts
===================================================================
--- trip-planner-front/src/app/_models/location.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/_models/location.ts	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -8,4 +8,5 @@
     priority: string;
     duration: number;
+    trivia: string;
     photo: any[];
 
@@ -17,4 +18,5 @@
         this.priority = 'Location priority';
         this.duration = 1;
+        this.trivia = '';
         this.photo = [];
     }
Index: trip-planner-front/src/app/_services/planner.service.ts
===================================================================
--- trip-planner-front/src/app/_services/planner.service.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/_services/planner.service.ts	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -11,36 +11,39 @@
 
     httpHeaders: HttpHeaders = new HttpHeaders({
-        'Authorization': ''+sessionStorage.getItem("token"),
+        'Authorization': '' + sessionStorage.getItem("token"),
         'Accept': 'application/json',
         'Content-Type': 'application/json'
-      });
-      
+    });
 
-    constructor(private httpClient: HttpClient){
+
+    constructor(private httpClient: HttpClient) {
     }
 
-   
-    getAllPlanners():Observable<Planner[]>{
+
+    getAllPlanners(): Observable<Planner[]> {
         let url = "http://localhost:8080/api/planners/user";
         console.log("SERVID: " + sessionStorage.getItem("token"));
-        console.log(this.httpHeaders.get('Authorization'))  ;
-        return this.httpClient.get<Planner[]>(url, {headers: this.httpHeaders});     
+        console.log(this.httpHeaders.get('Authorization'));
+        return this.httpClient.get<Planner[]>(url, { headers: this.httpHeaders });
     }
 
-    postInitialPlanner(planner: Planner): Observable<Planner>{     
+    postInitialPlanner(plannerDto: PlannerDto): Observable<Planner> {
         let url = "http://localhost:8080/api/planner/new";
-        return this.httpClient.post<Planner>(url, planner);
+        return this.httpClient.post<Planner>(url, plannerDto);
     }
 
-    updatePlanner(id: number, plannerDto : PlannerDto):Observable<Planner>{    
-    let url = "http://localhost:8080/api/edit/planner/" + id;
-    return this.httpClient.put<Planner>(url, plannerDto, {headers: this.httpHeaders});
+    updatePlanner(id: number, plannerDto: PlannerDto): Observable<Planner> {
+        let url = "http://localhost:8080/api/edit/planner/" + id;
+        return this.httpClient.put<Planner>(url, plannerDto, { headers: this.httpHeaders });
     }
 
-    getPlannerById(id:number):Observable<Planner>{
+    getPlannerById(id: number): Observable<Planner> {
         let url = "http://localhost:8080/api/planner/" + id;
         return this.httpClient.get<Planner>(url);
     }
 
-
+    deletePlannerById(id: number): Observable<Planner> {
+        let url = "http://localhost:8080/api/delete/" + id;
+        return this.httpClient.delete<Planner>(url, { headers: this.httpHeaders });
+    }
 }
Index: trip-planner-front/src/app/_services/user.service.ts
===================================================================
--- trip-planner-front/src/app/_services/user.service.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/_services/user.service.ts	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -8,46 +8,44 @@
 
 @Injectable({
-    providedIn: 'root'
+  providedIn: 'root'
 })
-export class UserService{
+export class UserService {
 
-     headers = new HttpHeaders({
-        'Content-Type': 'application/json',
-        'Access-Control-Allow-Headers': 'Content-Type',
+  headers = new HttpHeaders({
+    'Content-Type': 'application/json',
+    'Access-Control-Allow-Headers': 'Content-Type',
 
-      });
-    
-    constructor(private httpClient: HttpClient){
+  });
 
-    }
+  constructor(private httpClient: HttpClient) {
 
-    registerUser(user : UserDto) : Observable<User>{
-        let url = "http://localhost:8080/api/users/register";
-        var reqHeader = new HttpHeaders({'No-Auth' : 'True'});
-        return this.httpClient.post<User>(url, user, { headers: reqHeader });
-    }
-    
-    authenticateUser(loginResult : LoginRequest) {
-        let url = "http://localhost:8080/api/users/login";
-        var reqHeader = new HttpHeaders({'Content-Type': 'application/json'});
-        return this.httpClient.post<any>(url, loginResult)
-        .pipe(
-            map(userData => {
-                sessionStorage.setItem("username", loginResult.username);
-                let tokenStr =  userData.token;
-                sessionStorage.setItem("token", tokenStr);
-                return userData;
-            })
-        );
-    }
-  
-      isUserLoggedIn() {
-        let user = sessionStorage.getItem("username");
-        let token = sessionStorage.getItem("token");
-        console.log(user);
-        console.log(token);
-        console.log(!(user === null));
-        return !(user === null);
-      }
-    
+  }
+
+  registerUser(user: UserDto): Observable<User> {
+    let url = "http://localhost:8080/api/users/register";
+    return this.httpClient.post<User>(url, user, { headers: this.headers });
+  }
+
+  authenticateUser(loginResult: LoginRequest) {
+    let url = "http://localhost:8080/api/users/login";
+    return this.httpClient.post<any>(url, loginResult)
+      .pipe(
+        map(userData => {
+          sessionStorage.setItem("username", loginResult.username);
+          let tokenStr = userData.token;
+          sessionStorage.setItem("token", tokenStr);
+          return userData;
+        })
+      );
+  }
+
+  isUserLoggedIn() {
+    let user = sessionStorage.getItem("username");
+    let token = sessionStorage.getItem("token");
+    console.log(user);
+    console.log(token);
+    console.log(!(user === null));
+    return !(user === null);
+  }
+
 }
Index: trip-planner-front/src/app/create-initial-planner/create-initial-planner.component.ts
===================================================================
--- trip-planner-front/src/app/create-initial-planner/create-initial-planner.component.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/create-initial-planner/create-initial-planner.component.ts	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -1,2 +1,3 @@
+import { PlatformModule } from '@angular/cdk/platform';
 import { Component, OnInit } from '@angular/core';
 import { DynamicDialogRef } from 'primeng/dynamicdialog';
@@ -11,16 +12,16 @@
 export class CreateInitialPlannerComponent implements OnInit {
 
-  planner: Planner;
+  plannerDto: PlannerDto;
 
   constructor( private ref: DynamicDialogRef) {
-                this.planner = new Planner;
+                this.plannerDto = new PlannerDto();
               }
 
   ngOnInit(): void {
-    this.planner = new Planner();
+    this.plannerDto = new Planner();
   }
 
-  onFormSubmitPlanner(planner){
-    this.ref.close(planner);
+  onFormSubmitPlanner(plannerDto){
+    this.ref.close(plannerDto);
     window.location.reload();
   }
Index: trip-planner-front/src/app/homepage/homepage.component.ts
===================================================================
--- trip-planner-front/src/app/homepage/homepage.component.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/homepage/homepage.component.ts	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -1,2 +1,3 @@
+import { HttpErrorResponse } from '@angular/common/http';
 import { Component, OnInit } from '@angular/core';
 import { Router } from '@angular/router';
@@ -50,5 +51,4 @@
 
    ngOnInit(): void {
-/*
       this.locationService.getWeekendGetaways().subscribe(
          data => {
@@ -61,5 +61,5 @@
          }
       );
-      */
+
    }
 
@@ -73,14 +73,18 @@
 
       this.ref.onClose.subscribe((user: UserDto) => {
-         this.userService.registerUser(user).subscribe(
-            data  => {
-               console.log(data);
-              
-            }
-         );
-      });
+         if (user) {
+            this.userService.registerUser(user).subscribe(
+               data => {
+                  console.log(data);
+               }
+            );
+         }
+      },
+         err => {
+
+         });
    }
 
-   
+
    onClickLogIn() {
       this.ref = this.dialogService.open(LoginComponent, {
@@ -90,14 +94,22 @@
          baseZIndex: 10000
       });
-      this.ref.onClose.subscribe((loginRequest : LoginRequest) => {
-         this.userService.authenticateUser(loginRequest).subscribe(
-            (data : any)  => {
-               console.log(data);
-               if(this.userService.isUserLoggedIn()){
-                  this.router.navigate(['planners']);
+      this.ref.onClose.subscribe((loginRequest: LoginRequest) => {
+         if (loginRequest) {
+            this.userService.authenticateUser(loginRequest).subscribe(
+               (data: any) => {
+                  console.log(data);
+                  if (this.userService.isUserLoggedIn()) {
+                     this.router.navigate(['planners']);
+                  }
                }
-            }
-         );
+            );
+         }
       });
    }
+
+   ngOnDestroy() {
+      if (this.ref) {
+         this.ref.close();
+      }
+   }
 }
Index: trip-planner-front/src/app/homepage/register/register.component.ts
===================================================================
--- trip-planner-front/src/app/homepage/register/register.component.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/homepage/register/register.component.ts	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -1,3 +1,4 @@
 import { Component, OnInit } from '@angular/core';
+import { FormBuilder, FormGroup, Validators } from '@angular/forms';
 import { DynamicDialogRef } from 'primeng/dynamicdialog';
 import { UserDto } from 'src/app/_models/dto/userDto';
@@ -10,16 +11,28 @@
 export class RegisterComponent implements OnInit {
 
-  user : UserDto;
+  user: UserDto;
+  myForm: FormGroup;
 
-  constructor(private ref: DynamicDialogRef) {
+  constructor(private ref: DynamicDialogRef, private fb: FormBuilder) {
     this.user = new UserDto();
-   }
+    this.myForm = fb.group({
+      title: fb.control('initial value', Validators.required)
+    });
+  }
 
   ngOnInit(): void {
+    this.myForm = this.fb.group({
+      fullName: this.fb.control('', Validators.required),
+      username: this.fb.control('', Validators.required),
+      password: this.fb.control('', Validators.required),
+      confirmPassword: this.fb.control('', Validators.required)
+    });
   }
-  
-  onFormSubmitSignUp(user){
+
+  onFormSubmitSignUp(user) {
     this.ref.close(user);
     //window.location.reload();
+
   }
+
 }
Index: trip-planner-front/src/app/location/location.component.ts
===================================================================
--- trip-planner-front/src/app/location/location.component.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/location/location.component.ts	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -93,4 +93,5 @@
 
     this.ref.onClose.subscribe((planner: Planner) => {
+      if(planner){
       this.plannerLocationDto.locationId = location.id;
       this.plannerLocationDto.plannerId = planner.id;
@@ -124,5 +125,7 @@
         }
       );
+      }
     });
+  
   }
 
Index: trip-planner-front/src/app/planner/edit-planner/edit-planner.component.ts
===================================================================
--- trip-planner-front/src/app/planner/edit-planner/edit-planner.component.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/planner/edit-planner/edit-planner.component.ts	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -24,5 +24,5 @@
 
   constructor(private router: Router, private route: ActivatedRoute, private fb: FormBuilder, private plannerService: PlannerService,
-    private locationService : LocationService) {
+    private locationService: LocationService) {
     this.planner = new Planner();
     this.planners = [];
@@ -50,9 +50,9 @@
     this.locationService.getLocationsForPlanner(this.id).subscribe(
       data => {
-          this.locations = data;
+        this.locations = data;
       }
     );
-    }
- 
+  }
+
   onSubmit() {
     this.updatePlanner();
@@ -77,6 +77,10 @@
   }
 
-  onClickBack(){
+  onClickBack() {
     this.router.navigate(['planners']);
   }
+
+  onClickRemoveLocation(id : number){
+    
+  }
 }
Index: trip-planner-front/src/app/planner/planner.component.ts
===================================================================
--- trip-planner-front/src/app/planner/planner.component.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/planner/planner.component.ts	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -8,5 +8,4 @@
 import { MessageService, PrimeNGConfig } from 'primeng/api';
 import { UserDto } from '../_models/dto/userDto';
-import { UserService } from '../_services/user.service';
 
 
@@ -23,8 +22,9 @@
   ref: DynamicDialogRef;
   user: UserDto;
+  userDisplayName = '';
+  status = '';
 
   constructor(private plannerService: PlannerService, private router: Router,
-    private dialogService: DialogService, private primengConfig: PrimeNGConfig, private messageService: MessageService,
-    private userService : UserService) {
+    private dialogService: DialogService, private primengConfig: PrimeNGConfig, private messageService: MessageService) {
     this.planners = [];
     this.plannerDto = new PlannerDto();
@@ -36,11 +36,11 @@
 
     this.primengConfig.ripple = true;
-
+    let name1: string = sessionStorage.getItem("username") as string;
+    this.userDisplayName = name1;
     this.plannerService.getAllPlanners().subscribe(
       data => {
         this.planners = data;
-        localStorage.getItem("token");
       }
-    ); 
+    );
   }
 
@@ -61,16 +61,41 @@
       baseZIndex: 10000
     });
-    this.ref.onClose.subscribe((planner: Planner) => {
-      console.log("NOVOKREIRANIOT NAME NA PLANNER: " + planner.name);
-      this.plannerService.postInitialPlanner(planner).subscribe(
-        data=>{
-          console.log(data);
-        },
-        error => console.log('oops', error)
-     );
-      this.messageService.add({ severity: 'success', summary: 'The planner: ' + planner.name + ' has been created.' });
+    this.ref.onClose.subscribe((plannerDto: PlannerDto) => {
+      if (plannerDto) {
+        console.log("NOVOKREIRANIOT NAME NA PLANNER: " + plannerDto.name);
+        this.plannerService.postInitialPlanner(plannerDto).subscribe(
+          data => {
+            console.log(data);
+          },
+          error => console.log('oops', error)
+        );
+        this.messageService.add({ severity: 'success', summary: 'The planner: ' + plannerDto.name + ' has been created.' });
+      }
+      
     });
-    
+
   }
 
+  ngOnDestroy() {
+    if (this.ref) {
+      this.ref.close();
+    }
+  }
+
+  onClickLogout() {
+    sessionStorage.removeItem("token");
+    console.log("SESSION HAS ENDED, THE USER IS LOGGED OUT" + sessionStorage.getItem("token"));
+    this.router.navigate(['']);
+  }
+
+  onDeletePlanner(id: number) {
+    console.log("DELETE KOCHE: " + id);
+    this.plannerService.deletePlannerById(id).subscribe(
+      (data) => {
+        console.log(data);
+      },
+      (error) => console.log('error', error)
+    );
+    window.location.reload();
+  }
 }
